#! /bin/sh

VSN=1.0

if (test -z "$1" -o $# -ne 1) ; then
    echo " Usage: setup.sh OTP_DIR"
    echo " where: OTP_DIR   -- full path name of the Erlang OTP"
    echo "                     installation directory"
    exit
fi

DIALYZER_OTP_DIR=$1
DIALYZER_OTP_RTS=$DIALYZER_OTP_DIR/bin/erl

if (test -d ebin) ; then
    echo "An ebin directory already exists..."
else
    echo "Creating ebin"
    mkdir ebin
fi

if (test -f dialyzer_empty_plt) ; then
    echo "An empty persistent lookup table already exists..."
else
    echo "Creating empty persistent lookup table"
    touch dialyzer_empty_plt
fi

if (test -f $DIALYZER_OTP_RTS) ; then
    cd src
    $DIALYZER_OTP_RTS -make
    mv *.beam ../ebin
    sed -e "s;%VSN%;$VSN;" dialyzer.app.src > ../ebin/dialyzer.app
    cd ..
    sed -e "s;%OTP_DIR%;$DIALYZER_OTP_DIR;" \
	-e "s;%VSN%;$VSN;" -e "s;%DATE%;`date`;" \
	-e "s;%DIALYZER_DIR%;`pwd`;" src/dialyzer.src > dialyzer
    chmod +x dialyzer
    echo "Dialyzer setup done."
else
    echo "Could not find ${DIALYZER_OTP_RTS}"
fi
